winstd::basic_string_msg< _Elem, _Traits, _Ax > Class Template Reference
String Formatting

Base template class to support string formatting using `FormatMessage()` style templates. More...

`#include <WinStd/Common.h>`

Inheritance diagram for winstd::basic_string_msg< _Elem, _Traits, _Ax >:

## Public Member Functions

| basic_string_msg (DWORD dwFlags, LPCVOID lpSource, DWORD dwMessageId, DWORD dwLanguageId, va_list *Arguments)
| Initializes a new string and formats its contents using `FormatMessage()` style. More...
| basic_string_msg (DWORD dwFlags, LPCVOID lpSource, DWORD dwMessageId, DWORD dwLanguageId, DWORD_PTR *Arguments)
| Initializes a new string and formats its contents using `FormatMessage()` style. More...
| basic_string_msg (DWORD dwFlags, LPCTSTR pszFormat, va_list *Arguments)
| Initializes a new string and formats its contents using `FormatMessage()` style. More...
| basic_string_msg (DWORD dwFlags, LPCTSTR pszFormat, DWORD_PTR *Arguments)
| Initializes a new string and formats its contents using `FormatMessage()` style. More...
Initializing string using template in memory
| basic_string_msg (const _Elem *format,...)
| Initializes a new string and formats its contents using `FormatMessage()` style template. More...
Initializing string using template in resources
| basic_string_msg (HINSTANCE hInstance, UINT nFormatID,...)
| Initializes a new string and formats its contents using `FormatMessage()` style template in resources. More...
| basic_string_msg (HINSTANCE hInstance, WORD wLanguageID, UINT nFormatID,...)
| Initializes a new string and formats its contents using `FormatMessage()` style template in resources. More...

## Detailed Description

template<class _Elem, class _Traits, class _Ax>
class winstd::basic_string_msg< _Elem, _Traits, _Ax >

Base template class to support string formatting using `FormatMessage()` style templates.

## Constructor & Destructor Documentation

## basic_string_msg() [1/7]

template<class _Elem , class _Traits , class _Ax >

winstd::basic_string_msg< _Elem, _Traits, _Ax >::basic_string_msg | ( | const _Elem * | format,
|  |  | ...
| ) |  |

inline

Initializes a new string and formats its contents using `FormatMessage()` style template.

Parameters

  [in] | format | String template using `FormatMessage()` style

## basic_string_msg() [2/7]

template<class _Elem , class _Traits , class _Ax >

winstd::basic_string_msg< _Elem, _Traits, _Ax >::basic_string_msg | ( | HINSTANCE | hInstance,
|  | UINT | nFormatID,
|  |  | ...
| ) |  |

inline

Initializes a new string and formats its contents using `FormatMessage()` style template in resources.

Parameters

  [in] | hInstance | Resource module handle
  [in] | nFormatID | Resource ID of the string template using `FormatMessage()` style

## basic_string_msg() [3/7]

template<class _Elem , class _Traits , class _Ax >

winstd::basic_string_msg< _Elem, _Traits, _Ax >::basic_string_msg | ( | HINSTANCE | hInstance,
|  | WORD | wLanguageID,
|  | UINT | nFormatID,
|  |  | ...
| ) |  |

inline

Initializes a new string and formats its contents using `FormatMessage()` style template in resources.

Parameters

  [in] | hInstance | Resource module handle
  [in] | wLanguageID | Resource language
  [in] | nFormatID | Resource ID of the string template using `FormatMessage()` style

## basic_string_msg() [4/7]

template<class _Elem , class _Traits , class _Ax >

winstd::basic_string_msg< _Elem, _Traits, _Ax >::basic_string_msg | ( | DWORD | dwFlags,
|  | LPCVOID | lpSource,
|  | DWORD | dwMessageId,
|  | DWORD | dwLanguageId,
|  | va_list * | Arguments
| ) |  |

inline

Initializes a new string and formats its contents using `FormatMessage()` style.

See also
  FormatMessage function

## basic_string_msg() [5/7]

template<class _Elem , class _Traits , class _Ax >

winstd::basic_string_msg< _Elem, _Traits, _Ax >::basic_string_msg | ( | DWORD | dwFlags,
|  | LPCVOID | lpSource,
|  | DWORD | dwMessageId,
|  | DWORD | dwLanguageId,
|  | DWORD_PTR * | Arguments
| ) |  |

inline

Initializes a new string and formats its contents using `FormatMessage()` style.

See also
  FormatMessage function

## basic_string_msg() [6/7]

template<class _Elem , class _Traits , class _Ax >

winstd::basic_string_msg< _Elem, _Traits, _Ax >::basic_string_msg | ( | DWORD | dwFlags,
|  | LPCTSTR | pszFormat,
|  | va_list * | Arguments
| ) |  |

inline

Initializes a new string and formats its contents using `FormatMessage()` style.

See also
  FormatMessage function

## basic_string_msg() [7/7]

template<class _Elem , class _Traits , class _Ax >

winstd::basic_string_msg< _Elem, _Traits, _Ax >::basic_string_msg | ( | DWORD | dwFlags,
|  | LPCTSTR | pszFormat,
|  | DWORD_PTR * | Arguments
| ) |  |

inline

Initializes a new string and formats its contents using `FormatMessage()` style.

See also
  FormatMessage function

The documentation for this class was generated from the following file:

- include/WinStd/Common.h